Package com.treemap.swing

# Class AbstractTreeMapFieldComboBoxModel<N extends MutableTreeMapNode>

java.lang.Object
javax.swing.AbstractListModel<TreeMapField>
javax.swing.DefaultComboBoxModel<TreeMapField>
com.treemap.swing.AbstractTreeMapFieldComboBoxModel<N>

All Implemented Interfaces:
  `Serializable`, `ComboBoxModel<TreeMapField>`, `ListModel<TreeMapField>`, `MutableComboBoxModel<TreeMapField>`

Direct Known Subclasses:
  `ColorComboBoxModel`, `GroupByComboBoxModel`, `HeightComboBoxModel`, `SizeComboBoxModel`, `SwingTreeMapModel.LabelComboBoxModel`

public abstract class AbstractTreeMapFieldComboBoxModel<N extends MutableTreeMapNode> extends DefaultComboBoxModel<TreeMapField>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final NoTreeMapField`
  `none`
  `protected final TreeMapModel<N,?,?,?,?>`
  `treeMapModel`

  ### Fields inherited from class javax.swing.AbstractListModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractTreeMapFieldComboBoxModel(TreeMapModel<N,?,?,?,?> treeMapModel, String propertyName, boolean includeNone)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract boolean`
  `accept(TreeMapField treeMapField)`
  `protected abstract void`
  `updateComboBox()`
  `protected abstract void`
  `updateTreeMap()`

  ### Methods inherited from class javax.swing.DefaultComboBoxModel

  `addAll, addAll, addElement, getElementAt, getIndexOf, getSelectedItem, getSize, insertElementAt, removeAllElements, removeElement, removeElementAt, setSelectedItem`

  ### Methods inherited from class javax.swing.AbstractListModel

  `addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.swing.ListModel

  `addListDataListener, removeListDataListener`

- ## Field Details

  - ### treeMapModel

    protected final TreeMapModel<N extends MutableTreeMapNode,?,?,?,?> treeMapModel

  - ### none

    protected final NoTreeMapField none

- ## Constructor Details

  - ### AbstractTreeMapFieldComboBoxModel

    protected AbstractTreeMapFieldComboBoxModel(TreeMapModel<N,?,?,?,?> treeMapModel, String propertyName, boolean includeNone)

- ## Method Details

  - ### updateComboBox

    protected abstract void updateComboBox()

  - ### updateTreeMap

    protected abstract void updateTreeMap()

  - ### accept

    protected abstract boolean accept(TreeMapField treeMapField)